Display:
; translate internal value to decimal
; belongs to class of display sections
; dsp : index,2 nibbles
; dsp+1 : index, 2 nibbles (*** display position ***)
; dsp+2 : addr, 2 nibbles (bank 1)
; dsp+3 : length , 1 nibble
; dsp+4 : drop zero
; dsp+5 : point position
;=====================================================
;  NDSP+2IndexgJDSP1    
        mvf     dsp+3,W,ACCE
        mvf     r_Len,F,ACCE
        ldpr     dsp1,FSR1
dispa_a:
        mvf     INDF0,W,ACCE
        andl    0Fh
        mvf     POINC1,F,ACCE
        dcsz    r_Len,f,ACCE
        jmp    dispa_b
        jmp    dispa_c
dispa_b:
        mvf     POINC0,W,ACCE
        swpf    wreg,F,ACCE
        andl    0fh
        mvf     POINC1,F,ACCE
        dcsz    r_Len,F,ACCE
        jmp     dispa_a
;=====================================================
;MPointe0
dispa_c:
        mvf     dsp+4,W,ACCE
        andl     0Fh
        mvf     FSR0H,F,ACCE
        dcf     FSR1L,W,ACCE
        mvf     dsp+2,F,ACCE
        inf     dsp+5,f,ACCE
        mvl     1
        cpse    dsp+5,ACCE
        jmp     dispnx5
        mvf     dsp+3,W,ACCE
        addf    dsp+1,W,ACCE
        mvf     FSR0L,F,ACCE
        clrf    INDF0,ACCE
        dcf     dsp+2,F,ACCE        
        dcsz    dsp+3,F,ACCE
        jmp     dispnx5
        jmp     dispnx3
dispnx5:
        mvf     dsp+5,W,acce
        tfsz    dsp+5,ACCE
        jmp     dipslp4
        JMP     dispnx3
      dipslp4:  
        mvf     dsp+3,W,ACCE
        mvf     r_Len,F,ACCE
        xorl    1
        btsz    status,z,ACCE
        jmp     dispnx3
        clrf    s_reg,ACCE
        mvf     dsp+2,W,ACCE
        mvf     fsr0L,F,ACCE
        swpf    dsp+4,W,ACCE
        andl    0Fh
        xorl    0fh             ; dsp+4 = 0Fh no drop zero
        btsz    status,z,ACCE
        jmp     dispnx3
displp3:
        mvf     dsp+5,W,ACCE
        xorf    r_Len,w,ACCE
        btsz    status,z,ACCE
        jmp     dispnx3
        tfsz    INDF0,ACCE 
        jmp     dispnx3           ; end drop zero
        dcf     FSR0L,F,ACCE
        inf     s_reg,f,ACCE
        dcf     r_Len,f,ACCE
        mvl     2                 
        subf    r_Len,w,ACCE           ; when <= 1
        btsz    status,c,ACCE
        jmp     displp3
dispnx3:
                            ; begin  drop zero
        mvf     fsr0L,W,ACCE
        mvf     dsp,F,ACCE
        mvf     dsp+1,W,ACCE
        mvf     fsr0L,F,ACCE
        MVL	1
        MVF	fsr0h,F,ACCE
        tfsz    s_reg,ACCE
        jmp     dispnt
        jmp     dispnt1
dispnt:
        clrf    POINC0,ACCE
        dcsz    s_reg,F,ACCE
        jmp     dispnt
dispnt1:
        mvf     dsp,W,ACCE    ; FSR0 =  , FSR1 = ƭ    
        mvf     FSR1L,F,ACCE   
displp1:
        mvf     INDF1,W,ACCE
        bcf     status,c,ACCE
        rrfc    WREG,F,ACCE
        call    LDISP
        mvf     TBLDL,W,ACCE
        btss    PODEC1,0,ACCE
        mvf     TBLDH,W,ACCE
        mvf     s_reg,F,ACCE
        mvf     dsp+5,W,ACCE
        cpse    r_Len,ACCE
        jmp     dispnx1
        mvf     s_reg,W,ACCE
        iorl    80h         ; give point
        jmp     dispnx2
dispnx1:
        mvf     s_reg,W,ACCE
dispnx2:
        mvf     POINC0,F,ACCE
        dcsz    r_Len,f,ACCE
        jmp    displp1
        ret
;==========================================
clearlcd:
	lbsr	1
	CLRF	lcd0,bank
	CLRF	lcd1,bank
	CLRF	lcd2,bank
	CLRF	lcd3,bank
	CLRF	lcd4,bank
	CLRF	lcd5,bank      
	CLRF	lcd6,bank
	CLRF	lcd7,bank
       ret
;==================================
ShowZero:
       clrf    LCD0,bank
;       clrf    LCD1,ACCE
       mvl     LCDNUMz
       mvf     LCD1,F,bank
       mvl     LCDNUME
       mvf     LCD2,F,bank
       mvl     LCDNUMr
       mvf     LCD3,F,bank
       mvl     LCDNUMo
       mvf     LCD4,F,bank
	CLRF	LCD5,bank
       ret
;==================================
ShowKeyData:			;ʾ
	tfsz	tm,acce
	RET
	MVL	20
	MVF	tm,f,acce
	swpF	threH_01,w,acce
	ANDL	0fh
	MVF	md4,f,acce
	 bcf     status,c,ACCE
        rrfc    WREG,F,ACCE
        call    LDISP
        mvf     TBLDL,W,ACCE
        btss    md4,0,ACCE
        mvf     TBLDH,W,ACCE
        MVF	lcd1,f,BANK		

	MVF	threH_01,w,acce
	ANDL	0fh
	MVF	md4,f,acce
	 bcf     status,c,ACCE
        rrfc    WREG,F,ACCE
        call    LDISP
        mvf     TBLDL,W,ACCE
        btss    md4,0,ACCE
        mvf     TBLDH,W,ACCE
        MVF	lcd2,f,BANK

	swpF	threL_01,w,acce
	ANDL	0fh
	MVF	md4,f,acce
	 bcf     status,c,ACCE
        rrfc    WREG,F,ACCE
        call    LDISP
        mvf     TBLDL,W,ACCE
        btss    md4,0,ACCE
        mvf     TBLDH,W,ACCE
        MVF	lcd3,f,BANK		

	MVF	threL_01,w,acce
	ANDL	0fh
	MVF	md4,f,acce
	 bcf     status,c,ACCE
        rrfc    WREG,F,ACCE
        call    LDISP
        mvf     TBLDL,W,ACCE
        btss    md4,0,ACCE
        mvf     TBLDH,W,ACCE
        MVF	lcd4,f,BANK
	CLRF	LCD0,BANK
	CLRF	LCD5,BANK
	CLRF	LCD6,BANK
	RET
;==================================
ShowOL:
      bcf     LCD_G,b_lneg,bank
;       clrf    LCD1,ACCE
	MVL	4EH
	MVF	LCD1,F,bank
	MVL	02H
	MVF	LCD2,F,bank
	MVL	0DH
	MVF	LCD3,F,bank
	MVL	6EH
	MVF	LCD4,F,bank
	CLRF	LCD0,bank
	CLRF	LCD5,bank
       ret
;==================================
ShowZeroError:
	MVL	4eH
	MVF	LCD1,F,bank
	MVL	4CH
	MVF	LCD2,F,bank
	MVL	0FH
	MVF	LCD3,F,bank
	MVL	7DH
	MVF	LCD4,F,bank
	CLRF	LCD0,bank
	CLRF	LCD5,bank
	RET    
;===========================================
ShowKeyValue:       
	MVF	LCD5,F,bank
	MVL	LCDNUMk
	MVF	LCD1,F,bank
	MVL	LCDNUMe
	MVF	LCD2,F,bank
	MVL	LCDNUMy
	MVF	LCD3,F,bank
	CLRF	LCD4,bank
	CLRF	LCD0,bank
	RET    
;===========================================
ShowCal:
	MVL	LCDNUMC
	MVF	LCD1,F,bank
	MVL	LCDNUMA
	MVF	LCD2,F,bank
	MVL	LCDNUML
	MVF	LCD3,F,bank
	CLRF	LCD4,bank
	CLRF	LCD0,bank
	CLRF	LCD5,bank
	RET                   