
;=======================================
FSR0HTemp    equ    0FFH
FSR0LTemp    equ    0FEh   ; 0FE
FSR1HTemp    equ    0FDh   ;0FD
FSR1LTemp    equ    0FCh     ;0FC
threH_01       equ    0FBh   ;0FB
threL_01         equ    0FAh      ;0FA
Tm_ToZero	equ       0F9h        ;0F9  
StableRange	equ       0F8h   	;0F8
key_tmp      equ    0F7h   ;0F7
ADCquit     equ   0f6h
Tm_Key	     equ    0f5h    ;0f5
TempFlag        equ    0F4h 
count       equ   0f3h       ;0F4
keystate	equ	0f2h
RSTX         equ    0F0h       ;0F0
   b_tm      equ    4

Single       equ    0F1h       ;0F1
   b_Celneg1   equ  0
   b_Celneg2   equ  1
   b_KAneg     equ  2
   b_K1neg     equ  3
   b_K2neg     equ  4
   b_K3neg     equ  5
   b_K4neg     equ  6
;==========================================================
MD1          equ    80h
dsp          equ    MD1
dsp1         equ    dsp+6

R_ee_addrl     equ    MD1
R_ee_addrh    equ    MD1+1
R_ee_tmp0     equ    R_ee_addrh+1
R_ee_cnt     equ    R_ee_tmp0+1
Temr     equ    R_ee_cnt+1

MD2          equ    MD1+1   ;81
MD3          equ    MD2+1   ;82
MDL1         equ    MD3+1   ;83
MDL2         equ    MDL1+1  ;84
MDL3         equ    MDL2+1  ;85
MD4          equ    MDL3+1  ;86
S_REG        equ    MD4+9   ;8F
r_Len        equ    S_REG+1 ;90
SQRTmp       equ    r_Len+1 ;91
WeightBuf    equ    SQRTmp
Temp         equ    SQRTmp+2;92 

Tm            equ   0A7h     ; 0A7
Aub           equ    Tm+1         ; 0A8
ADCFg         equ    Aub          ; 0A8
   b_Zerofg   equ    0
   b_ADCint   equ    1
   b_neg      equ    2
   b_stable   equ    3
   b_nonevalue   equ   4
   b_ADCOK    equ    5
   b_ADCTO    equ    6
   b_OlFlag     equ    7
  
KeyReleaseTime      equ   0A9h
ADA1         equ   0ACh
ADA0          equ    0AFh         
eecnt        equ     0B1h         
ADStbcnt     equ     0B2h
KeyStill     equ     0B3h
KeyCnt       equ     0B4h 
UWeight      equ     0B5h
CWeight      equ     0B7h
ADPoint      equ     0B9h
ADAZ         equ     0BAh
ADANN        equ     ADAZ
ADSPAN       equ     0BCh
ADWN         equ     ADSPAN
KeyFlash     equ     0BFh
ADAZ1        equ     0C0h
Tare         equ     0C2h
Zero         equ     0C4h
Tm1s         equ     0C6h
ADCMax       equ     0C7h
ScanKeyTime  equ     0C9h
MCCN2_Bak    EQU     0CAh
Flag         equ     0CBh
   b_ADS     equ     0
   ;ADSign    equ     1
   ;ADSignb   equ     2
   ;ADCounter equ     3  
   ;b_ADCPCOK equ     4  
   b_Tarem   equ     5		;Ƥ
   ;b_FlashOK  equ     6
   b_onpower	equ	6
   b_DisableAdc  equ   7

SWChannel      equ   0CDh
ADNEWL         equ   0CEh
ADNEWM         equ   0CFh
ADNEWH         equ   0D0h
DrPADC         equ   0D1h
IOBUF          equ   0D2h
ADshiftbit     equ   0D3h
ShowSw         equ   ADshiftbit
ADStable       equ   0D4h
ADOKFg         equ   0D6h
 ;           b_ch0    equ     0
 ;           b_ch1    equ     1
 ;           b_ch2    equ     2
 ;           b_ch3    equ     3
C1Stab         equ   0D7h
C2Stab         equ   0D9h
C3Stab         equ   0DBh
C4Stab         equ   0DDh  
BankTemp	equ	0E0h  
Threl_24	equ	0e1h        
Threh_24	equ	0e2h
Threl_25	equ	0e3h        
Threh_25	equ	0e4h
Threl_26	equ	0e5h        
Threh_26	equ	0e6h

TouchShiftL_24	equ	0e8h
TouchShiftH_24	equ	0e9h
TouchShiftL_25	equ	0eah
TouchShiftH_25	equ	0ebh


TouchShiftL_26	equ	0ech
TouchShiftH_26	equ	0edh

;=================================
Mflag       equ   0eeh
      F_neg equ   0           ;ʽʱű־  
      b_weg equ   1
      
;0eeh , 0efh not used
;==========================================================
SaveData     equ    0100h   ; sxO϶ form 0x120 ~ 0x17F @48 
SaveDataend  equ    011Fh
STEPLEN      equ    0120h
STEPLENBF    equ    0121h
LOOPLEN      equ    0122h
STEP         equ    0124h
STEPBF       equ    0125h
Steptemp     equ    0126h
REGAddr      equ    0128h
;REGData0     equ    0130h
;REGData1     equ    0138h
;REGData2     equ    0140h
;REGData3     equ    0148h
;REGData4     equ    0150h
;REGData5     equ    0158h
;REGData6     equ    0160h
;REGData7     equ    0168h

;==================================================
ADC1AZ       equ    0100h
ADC1Da       equ    0102h
ADC1SP       equ    0104h
ADC2AZ       equ    0108h
ADC2Da       equ    010Ah
ADC2SP       equ    010Ch
ADC3AZ       equ    0110h
ADC3Da       equ    0112h
ADC3SP       equ    0114h
ADC4AZ       equ    0118h
ADC4Da       equ    011Ah
ADC4SP       equ    011Ch
;---------------------
MatrArry     equ    0120h
AD1buf      equ   144h    ;144h/145h/146h
AD2buf      equ   147h     ;147h/148h/149h
AD3buf      equ   14ah     ;14ah/14bh/14ch
AD4buf      equ   14dh     ;14dh/14eh/14fh
WBUF	     equ    0160h		;˱ƽݴ
;==================================================
KeyPT1      equ     PT1
       bK1         equ   1
KeyPT2      equ     PT2
       bK2         equ   4
KeyPT3     equ     PT1        
       bK3         equ   0
KeyPT4		equ		PT2
			bK4					equ	5   
;====================================
RLCDG      equ     LCD6
       b_lbat       equ    0
       b_lneg       equ    1
       b_ltare      equ    5
       b_zero       equ    6    
     ;  b_lg         equ    4         
       b_loz        equ    5         
       b_ldwt       equ    6         
       b_lozt       equ    7  
LCD_G      equ     LCD0
       b_lg         equ    7              
UNITLCD7    EQU     LCD7
      b_MM      equ 0
      b_K       equ 4
      b_A       equ 5
      b_R       equ 6
      b_V       equ 7

UNITLCD6    EQU     LCD6
      b_lb1     equ 0
      b_lb2     equ 1
      b_lb3     equ 2
      b_lb4     equ 3 
      b_negative    equ 4 
      b_m       equ 7  
      

;===================================================
pt2en         equ     TRISC2
eeclk            equ    2
eedata           equ    3
ptclkem           equ    pt2en     ; 0 input  , 1 output
ptdaem         equ     pt2en
ptda             equ    pt2
ptclk            equ    pt2
;======================================================

           