;===========================================
; eeprom.h 			
; EEPROM Read/Write function of 24c01 ~ 16
; YC
;===========================================
; Revision History
; Version	Date		Author	Description
; 0.1		2008-10-10	YC	
; 0.2		2010-2-25 	YC	޸ȫI2CЭ

;-------------------------------------------
;-------------------------------------------
; user	define 
;-------------------------------------------
C_EE_ERROR	equ	0 ;EEPROM󷵻ֵ
C_EE_DONE	equ	1 ;EEPROMдɹֵ

EE_SDA_PORT	equ	PT2
EE_SCL_PORT	equ	PT2

EE_SCL_PORTEN	equ	TRISC2
EE_SDA_PORTEN	equ	TRISC2

EE_SCL_PORTPU	equ	PT2PU
EE_SDA_PORTPU	equ	PT2PU

EE_SCL		equ	0
EE_SDA		equ	1
;-------------------------------------------
; macro	define 
;-------------------------------------------
EE_WP_ON	macro ;д
;	bsf	PT2,1
	endm
EE_WP_OFF	macro ;д
;	bcf	PT2,1
	endm
EE_POWER_ON	macro
;	bsf	PT2,0 ;EEPROMԴ
	endm
ee_rw_error	macro ;EEPROMдʱñ־λ
;	bsf	sys_flag,ee_error_f
	endm
	

;-------------------------------------------
; example 
;-------------------------------------------
;	mvl	R_tst
;	mvf	FSR0L,f ;RAMʼַ
;	mvl	00H
;	mvf	R_ee_addrl,f ;EEPROMʼַ
;	mvl	2 ;ȡֽ
;	call	s_ee_read02 ;00H 01HݶR_tst,R_tst+1

;	mvl	R_tst
;	mvf	FSR0L,f ;RAMʼַ
;	mvl	00H
;	mvf	R_ee_addrl,f ;EEPROMʼַ
;	mvl	2 ;дֽ
;	call	s_ee_write02 ;R_tst,R_tst+1д00H 01H
;	24C02һд8byte
