
;======================================================
;=========================================================
ConstDiv:
    
;=========================================================
;0x120 0x122 0x124 0x126
;0x128 0x12A 0x12C 0x12E
;0x130 0x132 0x134 0x136
;0x138 0x13A 0x13C 0x13E

;
;      0x12A 0x12C 0x12E
;      0x132 0x134 0x136
;      0x13A 0x13C 0x13E
Matrix4:
    ldpr    16Ah,FSR0
    mvl     0Ah
Matrix4_1:
    clrf    POINC0,ACCE
    dcsz    WREG,F,ACCE
    jmp     Matrix4_1
    lbsr    1
    mvl     02Ah
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     032h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     03Ah
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     020h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM

;
;0x128       0x12C 0x12E
;0x130       0x134 0x136
;0x138       0x13C 0x13E
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     022h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    
; 
;0x128 0x12A       0x12E
;0x130 0x132       0x136
;0x138 0x13A       0x13E
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     024h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM
; 
;0x128 0x12A 0x12C 
;0x130 0x132 0x134 
;0x138 0x13A 0x13C 
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     02Ch
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     034h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     03Ch
    mvf     168h,F,BANK
    mvl     026h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    ret
;=========================================================
;0x140 0x122 0x124 0x126
;0x140 0x12A 0x12C 0x12E
;0x140 0x132 0x134 0x136
;0x140 0x13A 0x13C 0x13E
;============================
;============================
;
;      0x12A 0x12C 0x12E
;      0x132 0x134 0x136
;      0x13A 0x13C 0x13E
MatrixK1:
    ldpr    16Ah,FSR0
    mvl     0Ah
MatrixK1_1:
    clrf    POINC0,ACCE
    dcsz    WREG,F,ACCE
    jmp     MatrixK1_1
;===============================  
    lbsr    1
    mvl     02Ah
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     032h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     03Ah
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     040h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM


;0x140       0x12C 0x12E
;0x140       0x134 0x136
;0x140       0x13C 0x13E
    lbsr    1
    mvl     040h
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     040h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     040h
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     022h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    
;
;0x140 0x12A       0x12E
;0x140 0x132       0x136
;0x140 0x13A       0x13E
    lbsr    1
    mvl     040h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     040h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     040h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     024h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM
    
;
;0x140 0x12A 0x12C 
;0x140 0x132 0x134 
;0x140 0x13A 0x13C 
    lbsr    1
    mvl     040h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     02Ch
    mvf     162h,F,BANK
    mvl     040h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     034h
    mvf     165h,F,BANK
    mvl     040h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     03Ch
    mvf     168h,F,BANK
    mvl     026h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    ret
;=========================================================
;0x120 0x140 0x124 0x126
;0x128 0x140 0x12C 0x12E
;0x130 0x140 0x134 0x136
;0x138 0x140 0x13C 0x13E

;
;      0x140 0x12C 0x12E
;      0x140 0x134 0x136
;      0x140 0x13C 0x13E
MatrixK2:
    ldpr    16Ah,FSR0
    mvl     0Ah
MatrixK2_1:
    clrf    POINC0,ACCE
    dcsz    WREG,F,ACCE
    jmp     MatrixK2_1
    lbsr    1
    mvl     040h
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     040h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     040h
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     020h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM


;0x128       0x12C 0x12E
;0x130       0x134 0x136
;0x138       0x13C 0x13E
   lbsr    1
   mvl     028h
   mvf     160h,F,BANK
   mvl     02Ch
   mvf     161h,F,BANK
   mvl     02Eh
   mvf     162h,F,BANK
   mvl     030h
   mvf     163h,F,BANK
   mvl     034h
   mvf     164h,F,BANK
   mvl     036h
   mvf     165h,F,BANK
   mvl     038h
   mvf     166h,F,BANK
   mvl     03Ch
   mvf     167h,F,BANK
   mvl     03Eh
   mvf     168h,F,BANK
   mvl     040h
   mvf     169h,F,BANK
   call    Matrix3
   call    MatrixSUBCOM
   

;0x128 0x140       0x12E
;0x130 0x140       0x136
;0x138 0x140       0x13E
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     040h
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     040h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     040h
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     024h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM
    
;
;0x128 0x140 0x12C 
;0x130 0x140 0x134 
;0x138 0x140 0x13C 
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     040h
    mvf     161h,F,BANK
    mvl     02Ch
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     040h
    mvf     164h,F,BANK
    mvl     034h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     040h
    mvf     167h,F,BANK
    mvl     03Ch
    mvf     168h,F,BANK
    mvl     026h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
   ret
;=========================================================
;0x120 0x122 0x140 0x126
;0x128 0x12A 0x140 0x12E
;0x130 0x132 0x140 0x136
;0x138 0x13A 0x140 0x13E

;
;      0x12A 0x140 0x12E
;      0x132 0x140 0x136
;      0x13A 0x140 0x13E
MatrixK3:
    ldpr    16Ah,FSR0
    mvl     0Ah
MatrixK3_1:
    clrf    POINC0,ACCE
    dcsz    WREG,F,ACCE
    jmp     MatrixK3_1
    lbsr    1
    mvl     02Ah
    mvf     160h,F,BANK
    mvl     040h
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     032h
    mvf     163h,F,BANK
    mvl     040h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     03Ah
    mvf     166h,F,BANK
    mvl     040h
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     020h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM

;
;0x128       0x140 0x12E
;0x130       0x140 0x136
;0x138       0x140 0x13E
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     040h
    mvf     161h,F,BANK
    mvl     02Eh
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     040h
    mvf     164h,F,BANK
    mvl     036h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     040h
    mvf     167h,F,BANK
    mvl     03Eh
    mvf     168h,F,BANK
    mvl     022h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
   

;0x128 0x12A       0x12E
;0x130 0x132       0x136
;0x138 0x13A       0x13E
   lbsr    1
   mvl     028h
   mvf     160h,F,BANK
   mvl     02Ah
   mvf     161h,F,BANK
   mvl     02Eh
   mvf     162h,F,BANK
   mvl     030h
   mvf     163h,F,BANK
   mvl     032h
   mvf     164h,F,BANK
   mvl     036h
   mvf     165h,F,BANK
   mvl     038h
   mvf     166h,F,BANK
   mvl     03Ah
   mvf     167h,F,BANK
   mvl     03Eh
   mvf     168h,F,BANK
   mvl     040h
   mvf     169h,F,BANK
   call    Matrix3
   call    MatrixADDCOM
   

;0x128 0x12A 0x140      
;0x130 0x132 0x140      
;0x138 0x13A 0x140      
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     040h
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     040h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     040h
    mvf     168h,F,BANK
    mvl     026h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    ret
;=========================================================
;0x120 0x122 0x124 0x140
;0x128 0x12A 0x12C 0x140
;0x130 0x132 0x134 0x140
;0x138 0x13A 0x13C 0x140

;
;      0x12A 0x12C 0x140
;      0x132 0x134 0x140
;      0x13A 0x13C 0x140
MatrixK4:
    ldpr    16Ah,FSR0
    mvl     0Ah
MatrixK4_1:
    clrf    POINC0,ACCE
    dcsz    WREG,F,ACCE
    jmp     MatrixK4_1
    lbsr    1
    mvl     02Ah
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     040h
    mvf     162h,F,BANK
    mvl     032h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     040h
    mvf     165h,F,BANK
    mvl     03Ah
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     040h
    mvf     168h,F,BANK
    mvl     020h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM


;0x128       0x12C 0x140
;0x130       0x134 0x140
;0x138       0x13C 0x140
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ch
    mvf     161h,F,BANK
    mvl     040h
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     034h
    mvf     164h,F,BANK
    mvl     040h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ch
    mvf     167h,F,BANK
    mvl     040h
    mvf     168h,F,BANK
    mvl     022h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    
;
;0x128 0x12A       0x140
;0x130 0x132       0x140
;0x138 0x13A       0x140
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     040h
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     040h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     040h
    mvf     168h,F,BANK
    mvl     024h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixADDCOM
    

;0x128 0x12A 0x12C            
;0x130 0x132 0x134            
;0x138 0x13A 0x13C            
    lbsr    1
    mvl     028h
    mvf     160h,F,BANK
    mvl     02Ah
    mvf     161h,F,BANK
    mvl     02Ch
    mvf     162h,F,BANK
    mvl     030h
    mvf     163h,F,BANK
    mvl     032h
    mvf     164h,F,BANK
    mvl     034h
    mvf     165h,F,BANK
    mvl     038h
    mvf     166h,F,BANK
    mvl     03Ah
    mvf     167h,F,BANK
    mvl     03Ch
    mvf     168h,F,BANK
    mvl     040h
    mvf     169h,F,BANK
    call    Matrix3
    call    MatrixSUBCOM
    ret
;------------------------------
; 16A +- Temp
MatrixADDCOM:
    ldpr    Temp,FSR1
    ldpr    16Ah,FSR0
    mvl     8
    mvf     r_Len,F,ACCE
    bcf    status,C,ACCE
 MatrixADDCOM_1:   
    mvf    POINC1,W,ACCE
    addc   POINC0,F,ACCE
    dcsz   r_Len,F,ACCE
    jmp    MatrixADDCOM_1
    dcsz   FSR1L,F,ACCE
    nop
    mvl    0
    btsz   INDF1,7,ACCE
    mvl    0FFh
    addc   INDF0,F,ACCE 
    ret    
;;;;;;;;;;;;
MatrixSUBCOM:
    ldpr    Temp,FSR1
    ldpr    16Ah,FSR0
    mvl     8
    mvf     r_Len,F,ACCE
    bsf    status,C,ACCE
 MatrixSUBCOM_1:   
    mvf    POINC1,W,ACCE
    subc   POINC0,F,ACCE
    dcsz   r_Len,F,ACCE
    jmp    MatrixSUBCOM_1
    dcsz   FSR1L,F,ACCE
    nop
    mvl    0
    btsz   INDF1,7,ACCE
    mvl    0FFh
    subc   INDF0,F,ACCE 
    ret    
;=========================================================
;0x169
;160h ~ 168h = Address
;A1[0x160]  B1[0x161]  C1[0x162]
;A2[0x163]  B2[0x164]  C2[0x165]
;A3[0x166]  B3[0x167]  C3[0x168]
; A1*B2*C3+B1*C2*A3+A2*B3*C1-C1*B2*A3-C2*B3*A1-B1*A2*C3
;result --> 177h
Matrix3:
    mvff    160h,FSR0L      ;A1*B2*C3 -->177h
    mvff    164h,FSR1L  
    mvff    168h,MD4
    call    Cell3
    ldpr    Temp+8,FSR0
    ldpr    177h,FSR1
    mvl     6
  Matrix3_1:  
    mvff    POINC0,POINC1
    dcsz    WREG,F,ACCE
    jmp     Matrix3_1
    CLRF    POINC1,ACCE
    mvff    161h,FSR0L      ;177h+B1*C2*A3-->177h
    mvff    165h,FSR1L  
    mvff    166h,MD4
    call    Cell3
    call     ArrayADDCOM6
    mvff    163h,FSR0L      ;177h+A2*B3*C1-->177h
    mvff    167h,FSR1L  
    mvff    162h,MD4
    call    Cell3
    call    ArrayADDCOM6
    mvff    162h,FSR0L      ;177h-C1*B2*A3-->177h
    mvff    164h,FSR1L  
    mvff    166h,MD4
    call    Cell3
    call    ArraySUBCOM6
    mvff    165h,FSR0L      ; 177h-C2*B3*A1-->177h
    mvff    167h,FSR1L  
    mvff    160h,MD4
    call    Cell3
    call    ArraySUBCOM6
    mvff    161h,FSR0L      ; 177h-B1*A2*C3-->177h
    mvff    163h,FSR1L  
    mvff    168h,MD4
    call    Cell3
    call    ArraySUBCOM6
    ldpr    177h,FSR0     ; 177h-->Temp
    ldpr    Temp,FSR1
    mvl     6
  Matrix3_2:  
    mvff    POINC0,POINC1
    dcsz    WREG,F,ACCE
    jmp     Matrix3_2
    bcf     Single,b_Celneg1,ACCE
    btss    Temp+5,7,ACCE
    jmp     Matrix3_3
    bsf     Single,b_Celneg1,ACCE
    ldpr    Temp+5,FSR0
    mvl     6
    call    MatrixCOMF
  Matrix3_3:  
    mvl     1
    mvf     FSR0H,F,ACCE
    mvff    169h,FSR0L
    mvff    POINC0,Temp+7
    mvff    POINC0,Temp+7+1
    bcf     Single,b_Celneg2,ACCE
    btss    Temp+7+1,7,ACCE
    jmp     Matrix3_7
    bsf     Single,b_Celneg2,ACCE
    comf    Temp+7,F,ACCE
    comf    Temp+7+1,F,ACCE
    insz    Temp+7,F,ACCE
    jmp     Matrix3_7
    inf     Temp+7+1,ACCE
  Matrix3_7:  
    mvl     Temp
    mvf     MD1,F,ACCE
    mvl     Temp+7
    mvf     MD2,F,ACCE
    mvl     Temp+9
    mvf     MD3,F,ACCE
    mvl     6
    mvf     MDL1,F,ACCE
    mvl     2
    mvf     MDL2,F,ACCE
       MVL	0
       MVF	bankTemp,f,acce
    call    multiply
    rrf     Single,W,ACCE
    xorf    Single,W,ACCE
    btss    WREG,0,ACCE
    jmp     Matrix3_8
    ldpr    Temp+9+7,FSR0
    mvl     8                
    call    MatrixCOMF
  Matrix3_8:  
    ldpr    Temp+9,FSR0   ;;Temp+9 --> Temp
    ldpr    Temp,FSR1
    mvl     8
  Matrix3_9:  
    mvff    POINC0,POINC1
    dcsz    WREG,F,ACCE
    jmp     Matrix3_9
    ret
;=====================================
;FSR0 , length-->r_Len    
MatrixCOMF:    
    mvf     r_Len,F,ACCE
  MatrixCOMF_1:  
    comf    PODEC0,F,ACCE
    dcsz    WREG,F,ACCE
    jmp     MatrixCOMF_1
    inf     FSR0L,F,ACCE
    mvf     r_Len,W,ACCE
  MatrixCOMF_2:  
    insz    POINC0,F,ACCE
    ret
    dcsz    WREG,F,ACCE
    jmp     MatrixCOMF_2
    ret 
;=============================           
;=================================================================
;-----------------------------
; ABCD + E
ArrayADDCOM6:
    mvl    6
    jmp    ArrayADDCOM
ArrayADDCOM8:
    mvl    8
ArrayADDCOM:
    mvf    r_Len,F,ACCE
    ldpr   177h,FSR0
    ldpr   Temp+8,FSR1
    bcf    status,C,ACCE
 ArrayADDCOM_1:   
    mvf    POINC1,W,ACCE
    addc   POINC0,F,ACCE
    dcsz   r_Len,F,ACCE
    jmp    ArrayADDCOM_1
    dcsz   FSR1L,F,ACCE
    nop
    mvl    0
    btsz   INDF1,7,ACCE
    mvl    0FFh
    addc   INDF0,F,ACCE 
    ret    
;-----------------------------
; ABCD - E
ArraySUBCOM6: 
    mvl    6
    jmp    ArraySUBCOM
ArraySUBCOM8: 
    mvl    8
ArraySUBCOM: 
    mvf    r_Len,F,ACCE
    ldpr   177h,FSR0
    ldpr   Temp+8,FSR1
    bsf    status,C,ACCE
 ArraySUBCOM_1:   
    mvf    POINC1,W,ACCE
    subc   POINC0,F,ACCE
    dcsz   r_Len,F,ACCE
    jmp    ArraySUBCOM_1
    dcsz   FSR1L,F,ACCE
    nop
    mvl    0
    btsz   INDF1,7,ACCE
    mvl    0FFh
    subc   INDF0,F,ACCE 
    ret    
;=========================================================
;A*B*C-->Temp+8
Cell3:
    mvl     1
    mvf     FSR0H,F,ACCE
    mvf     FSR1H,F,ACCE
    call    Cell2x2     ; A*B
    
    bcf     Single,b_Celneg1,ACCE
    btss    Temp+3,7,ACCE
    jmp     Cell3_1
    bsf     Single,b_Celneg1,ACCE
    ldpr    Temp+3,FSR0
    mvl     4
    call    MatrixCOMF
  Cell3_1:  
    mvl     1
    mvf     FSR0H,F,ACCE
    mvff    MD4,FSR0L
    mvff    POINC0,Temp+4
    mvff    POINC0,Temp+4+1
    bcf     Single,b_Celneg2,ACCE
    btss    Temp+4+1,7,ACCE
    jmp     Cell3_2
    bsf     Single,b_Celneg2,ACCE
    comf    Temp+4,F,ACCE
    comf    Temp+4+1,F,ACCE
    insz    Temp+4,F,ACCE
    jmp     Cell3_2
    inf     Temp+4+1,F,ACCE
  Cell3_2:  
    mvl     Temp
    mvf     MD1,F,ACCE
    mvl     Temp+4
    mvf     MD2,F,ACCE
    mvl     Temp+8
    mvf     MD3,F,ACCE
    mvl     4
    mvf     MDL1,F,ACCE
    mvl     2
    mvf     MDL2,F,ACCE
    MVL	0
    MVF	bankTemp,f,acce
    call    multiply    ; A*B*C
    rrf     Single,W,ACCE
    xorf    Single,W,ACCE
    btss    WREG,0,ACCE
    ret
    ldpr    Temp+8+5,FSR0
    mvl     6
    jmp     MatrixCOMF
;--------------------------------------------------------------------------    
;[(100h*A)+B] * [(100h*C)+D] = (10000h*A*C) + (100h*A*D) + (100h*B*C) + B*D  
Cell2x2:
;======================================
    mvff   POINC0,temp
    mvff    POINC0,temp+1
    bcf     Mflag,F_neg,acce
  ;  bcf     Single,b_Celneg1
    btss    temp+1,7,acce
    jmp     Cell2x2A
    bsf     Mflag,F_neg,acce 
   ; bsf     Single,b_Celneg1
    comf    temp,f,acce
    comf    temp+1,f,acce
    insz     temp,f,acce
    jmp     Cell2x2A
    inf     temp+1,f,acce
Cell2x2A:  
    mvff    POINC1,temp+2
    mvff    POINC1,temp+3
    btss    temp+3,7,acce
    jmp     Cell2x2B 
    btgf    Mflag,F_neg,acce
    ;btgf     Single,b_Celneg1
    comf    temp+2,f,acce
    comf    temp+3,f,acce
    insz    temp+2,f,acce
    jmp     Cell2x2B
    inf     temp+3,f,acce
Cell2x2B:    
;======================================
;    mvf    POINC1,W,ACCE
;    mulf   POINC0,ACCE         ; B * D
      mvf   temp,w,acce
      mulf  temp+2,acce
      mvff  PRODL,temp+4
      mvff  PRODH,temp+5
;    mvff   PRODL,Temp      
;    mvff   PRODH,Temp+1      
    
;    mvf    PODEC0,W,ACCE
;    mulf   INDF1,ACCE         ; (10000h*A*C) .. B and C
;    mvff   PRODL,Temp+2
;    mvff   PRODH,Temp+3
      mvf   temp+1,w,acce
      mulf  temp+3,acce
      mvff  PRODL,temp+6
      mvff  PRODH,temp+7
    
;    mvf    POINC0,W,ACCE
;    mulf   PODEC1,ACCE        ; (100h*B*C) .. A and D
;    mvf    PRODL,W,ACCE
;    addf   Temp+1,F,ACCE
;    mvf    PRODH,W,ACCE
 ;   addc   Temp+2,F,ACCE
 ;   clrf   WREG,ACCE
 ;   addc   Temp+3,F,ACCE
      mvf   temp,w,acce
      mulf  temp+3,acce
      mvf   PRODL,w,acce
      addf  temp+5,f,acce
      mvf   PRODH,w,acce
      addc  temp+6,f,acce
      clrf  wreg,acce
      addc  temp+7,f,acce
    
;    mvf    PODEC0,W,ACCE
;    mulf   INDF1,ACCE        ; (100h*A*D) .. B and D
;    mvf    PRODL,W,ACCE
;    addc   Temp+1,F,ACCE
;    mvf    PRODH,W,ACCE
;    addc   Temp+2,F,ACCE
;    clrf   WREG,ACCE
;    addc   Temp+3,F,ACCE
     mvf    temp+1,w,acce
     mulf   temp+2,acce
     mvf    PRODL,w,acce
     addf   temp+5,f,acce
     mvf    PRODH,w,acce
     addc   temp+6,f,acce
     clrf   wreg,acce
     addc   temp+7,f,acce 
    
;    mvl    1
;    btss   PLUSW1,7,ACCE
;    jmp    Cell2x2_1
;    mvf    temp,W,ACCE
;    subf   Temp+4,F,ACCE
;    mvf    temp+1,W,ACCE
;    subc   Temp+5,F,ACCE
; Cell2x2_1:
;    mvl    1
;    btss   PLUSW0,7,ACCE
;    jmp    Cell2x2_2
;;    mvf    POINC1,W,ACCE
;;    subf   Temp+2,F,ACCE
;;    mvf    PODEC1,W,ACCE
;;    subc   Temp+3,F,ACCE
;      mvf   temp+2,w,acce
;      subf  temp+5,f,acce
;      mvf   temp+3,w,acce
;      subc  temp+6,f,acce
; Cell2x2_2:  
      mvff  temp+4,temp
      mvff  temp+5,temp+1 
      mvff  temp+6,temp+2
      mvff  temp+7,temp+3 
      btss  Mflag,F_neg,acce
    ret  
    mvl     01h
    subf    temp,f,acce
    mvl     00h
    subc    temp+1,f,acce
    mvl     00h
    subc    temp+2,f,acce
    mvl     00h
    subc    temp+3,f,acce
    comf    temp,f,acce
    comf    temp+1,f,acce
    comf    temp+2,f,acce
    comf    temp+3,f,acce
    ret
;=========================================================================
ParMatrix:       
       clrf    168h,BANK    
       clrf    169h,BANK
       mvl     168h
       mvf     MD1,F,ACCE
       mvl     150h
       mvf     MD2,F,ACCE
       mvff    MD4,MD3
      ; mvl     15Ah
      ; mvf     MD3,F,ACCE
       mvl     11
       mvf     MDL1,F,ACCE
       mvl     9
       mvf     MDL2,F,ACCE
       mvl     4
       mvf     MDL3,F,ACCE
       MVL	1
       MVF	bankTemp,f,acce
       jmp    Divide    
    
