SysInit:
 ;==========Setup PT2 =======================================
	lbsr    1
       mvl     00000000b
       mvf     PT2,F,ACCE
       mvl     00000011b
       mvf     TRISC2,F,ACCE
       mvl     10001100b
       mvf     PT2PU,F,ACCE 
	MVL	01110000b
	MVF	pt2da,f,a
;==========Setup VDDA=======================================
        ;mvl     11100000b
       ;mvl     10000000b				;Ex.Input.ACM
       mvl     11000001b				;In.ACM
       mvf     PWRCN,F,ACCE 
       mvl	40h
       mvf	CSFCN0,f,acce
 ;==============Clear Memory=======================      
       ldpr    080h,FSR0
       mvl     080h
    ClriniMen0:   
       clrf    POINC0,ACCE
       dcsz    WREG,F,ACCE
       jmp     ClriniMen0
       ldpr    100h,FSR0
       mvl     80h
    ClriniMen1:   
       clrf    POINC0,ACCE
       dcsz    WREG,F,ACCE
       jmp     ClriniMen1
;OSCS[1:0] DHS[1:0] DMS[2:0] CUPS					;
	MVL	01H		;CPUCLK=DHS_CK=HS_CK/4=2M/4=500k	;	
	MVF	OSCCN0,F,A	;OSCS[1:0] DHS[1:0] DMS[2:0] CUPS	;		
;OSCS[1:0]HS_CKlʓ  	<11>OSC_RTC 				;	
;				<10>OSC_XT 				;	
;				<01>OSC_LPO 				;	
;				<00>OSC_HAO				;	
;DHS[1:0]DHS_CKl 	<11>HS_CK    8                   	;        
;				<10>HS_CK    8 			;	
;				<01>HS_CK    4                      	;        
;				<00>HS_CK    2                         ;
;DMS[2:0]DMS_CK l  <011>DHS_CK    16  <111>DHS_CK    256	;    
;				<010>DHS_CK    8  <110>DHS_CK    128	;      
;				<001>DHS_CK    4  <101>DHS_CK    64 	;	       
;				<000>DHS_CK    2  <100>DHS_CK    32 	;	       				
;CPUS[0]CPU_CK lx 	<1>DHS_CK  <0>HS_CK           		;	             
;-----------------------------------------------------------------------;        
	MVL	1cH		;00011100b  ADC_CK=DHS_CK4=125k	;	
	MVF	OSCCN1,F,A	;LCPS[1:0] DADC[1:0] DTMB[1:0] TMBS 	;

	MVL	07H		;00000011bϵĬֵ			;
	MVF	OSCCN2,F,A						;
;ENRTC[0]ⲿU RTCÿ <1>ⲿRTCU	<0>P]ⲿRTC	;
;ENXT[0]ⲿU XT ÿ  <1>ⲿ XT U <0>P]ⲿXT	;
;XTS[1:0]ⲿUUlx	<11>~ 8MHz			;
;					<10>O 			;    
;					<01>~4MHz 			;
;					<00>~ 32768Hz  			;
;HAOM[1:0]ȲU HAO Ulx	<11>8MHz 			;
;					<10>O 			;
;					<01>4MHz   			;  
;					<00>2MHz   			;
;ENHAO[0]ȲU HAO ÿ 	<1> 	<0>P] 	;
;LPO[0]ȲU LPO 		<1> 	<0>P]     	;   
 ;==========Setup PT1 Interrupt=======================================
       mvl     00000010b
       mvf     PT1,F,ACCE      
       mvl     00000001b     ; Set  Digital Channel
       mvf     PT1DA,F,ACCE
       mvl     00000000b     
       mvf     TRISC1,F,ACCE
       mvl     11111110b
       mvf     PT1PU,F,ACCE  ; Set Pull up Resistor 
 ;============================================================      

 ;==========Setup PT3 for HY11P14 =======================================
	CLRF	pt3pu,a
	mvl	11111111b
	mvf	pt3da,f,a
	mvl	00000000b
	mvf	trisc3,f,a
	clrf	pt3,a
 ;==========Setup ADC0=======================================
      mvl   01101111b	;OSR:2048, PGA=32, VRGN:1/2		;								;
      mvf   AD1CN3,F,ACCE						;
;-----------------------------------------------------------------------;
      MVL	13H		;ڲREFOοʴx32		;
      MVF	AD1CN0,F,A                                		;
      MVL	01100011b		;AI3,AI0, ADGN=4		;
      MVF	AD1CN1,F,A  						;
      MVL	09AH		;10011010 -1/8VREF οAI6 οAI5	;
      MVF	AD1CN2,F,A			
 ;==========Set Timmer=======================================     
      mvl     11010000b
      mvf     TMACN,F,ACCE     
 ;==========Set LCD=======================================
      lbsr	1
	mvl      11011100b
       mvf      LCDCN1,F,Bank
       mvl      01100100b
       mvf      LCDCN2,F,Bank     
      setf	lcd0,bank
      setf	lcd1,bank
      setf	lcd2,bank
      setf	lcd3,bank
      setf	lcd4,bank
      setf	lcd5,bank
      clrf	lcd6,bank
 ;==========Set Timmer=======================================
      clrf  status,ACCE
      clrf  PCLATH,ACCE
 
;==========INTE Set============================
      mvl   00000100b         ;timerAж            
      mvf   INTE0,F,ACCE
      BSF	INTE1,AD1IE,Acce		;AD1ж
;======================================
      clrf      INTF0,ACCE   
      clrf      INTF1,ACCE  
;======================================
       clrf      Temp,ACCE
       clrf      Temp+1,ACCE

      clrf      RSTX,ACCE   
      clrf      DrPADC,ACCE
      clrf      SWChannel,ACCE
      clrf      ShowSw,ACCE
      mvl     0A0h
      mvf     eecnt,F,ACCE
      
      call     delay10ms
      bsf      AD1CN0,ENAD1,ACCE

	mvl	30h
	MVF	R_ee_addrl,f,acce
	ldpr	threl_24,fsr0
	MVL	6
	call	s_ee_read02

	mvl	80h
	mvf	ScanKeyTime,f,acce


      bsf    ADCFg,b_nonevalue,ACCE

	btsz	pt1,1,acce
	JMP	Sysini_1
	CALL	Delay10ms
	btsz	pt1,1,acce
       JMP	Sysini_1
     SysADCCAL:  
       call    Delay10ms
       call    Delay10ms
       call    Delay10ms
       jmp     Sysiniout
   Sysini_1:    

	mvl	0h
	MVF	R_ee_addrl,f,acce
	ldpr	temp,fsr0
	MVL	2
	call	s_ee_read02
        
        mvl    05Ah
        cpse   temp,ACCE
        jmp    SysADCCAL
        mvl    0A5h
        cpse   temp+1,ACCE
        jmp    SysADCCAL
        bcf    ADCFg,b_nonevalue,ACCE

	mvl	10h
	MVF	R_ee_addrl,f,acce
	ldpr	UWeight,fsr0
	MVL	5
	call	s_ee_read02


	mvl	18h
	MVF	R_ee_addrl,f,acce
	ldpr	0104h,fsr0
	MVL	4
	call	s_ee_read02

	mvl	1ch
	MVF	R_ee_addrl,f,acce
	ldpr	010Ch,fsr0
	MVL	4
	call	s_ee_read02

	mvl	20h
	MVF	R_ee_addrl,f,acce
	ldpr	0114h,fsr0
	MVL	4
	call	s_ee_read02

	mvl	24h
	MVF	R_ee_addrl,f,acce
	ldpr	011ch,fsr0
	MVL	4
	call	s_ee_read02


	mvl	28h
	MVF	R_ee_addrl,f,acce
	ldpr	Single,fsr0
	MVL	1
	call	s_ee_read02

       bsf     INTE0,GIE,ACCE  
       mvl     2  
    Sys_GVUP_L:
       btss    ADCFg,b_ADCint,ACCE
       jmp     Sys_GVUP_L
       bcf     ADCFg,b_ADCint,ACCE
       bcf   ADCFg,b_ADCTO,ACCE 
       dcsz    WREG,F,ACCE
       jmp     Sys_GVUP_L



	CALL	get_key
	CALL	get_key
	CALL	get_key
	CALL	TOUCHPT24

	MVF	Threl_24,w,acce
	subF	threL_01,w,acce
	MVF	Threl_24,f,acce
	
	MVF	ThreH_24,w,acce
	subC	threH_01,w,acce
	MVF	Threh_24,f,acce
	
	CALL	TOUCHPT25
	MVF	Threl_25,w,acce
	subF	threL_01,w,acce
	MVF	Threl_25,f,acce
	
	MVF	ThreH_25,w,acce
	subC	threH_01,w,acce
	MVF	Threh_25,f,acce
;	CALL	TOUCHPT26
;	MVF	Threl_26,w,acce
;	subF	threL_01,w,acce
;	MVF	Threl_26,f,acce
;	
;	MVF	ThreH_26,w,acce
;	SUBC	threH_01,w,acce
;	MVF	Threh_26,f,acce

;      mvl    30
;      mvf    TempFlag,F,ACCE


	MVL	LCD4
	MVF	FSR0L,F,ACCE
         mvl     256-2
         mvf    ADStbcnt,F,acce
       bcf     ADCFg,b_stable,ACCE
;       call    ShowZero
	CALL	ClearLCD

     Sysini_6_: 
       mvl     200
       mvf     Tm,F,ACCE
	setf	lcd0,bank   
	setf	lcd1,bank
	setf	lcd2,bank
	setf	lcd3,bank
	setf	lcd4,bank
	setf	lcd5,bank
	clrf  DrPADC,acce
   Sysini_3: 
	CALL	get_key
        call    GetADC
       btsz    ADCFg,b_stable,ACCE 
       JMP	TurnZeroIsStable 


;Sysini_3_:
;      ;tfsz    Tm,ACCE
;      jmp     Sysini_3
;      dcsuz    TempFlag,F,ACCE;
;	JMP	Main_Sleep
;	MVL	10
;	cpsl	TempFlag,acce
;	jmp     Sysini_6_
;	mvl     200
 ;     mvf     Tm,F,ACCE
	
      ;CALL	ShowZeroError
 ;     JMP	Sysini_3

TurnZeroIsStable:
	;JMP	PowerOnTurnZero
;PowerOnTurnZero:	
      bsf	ADCFg,b_Zerofg,acce
	MVL	200
	MVF	Tm_ToZero,f,acce

      ;call    ClearLCD
      bsf	Flag,b_onpower,acce
      mvff    0102h,0100h
      mvff    0102h+1,0100h+1
      mvff    010Ah,0108h
      mvff    010Ah+1,0108h+1
      mvff    0112h,0110h
      mvff    0112h+1,0110h+1
      mvff    011Ah,0118h
      mvff    011Ah+1,0118h+1

Sysiniout:
      mvl   20h
      mvf   count,f,acce
      mvl  03h
       mvf  ADCquit,f,acce
      ; mvl     250
      ; mvf     Tm1s,F,ACCE
       clrf   KeyStill,ACCE        
       bsf     INTE0,GIE,ACCE  
        bcf    Flag,b_ADS,ACCE
        setf	keystate,acce
        mvl	0ah
        mvf	StableRange,f,acce

